[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20070912 changes



On Wed, 2007-09-12 at 20:24 -0700, Christopher Stone wrote:
> Ralf Corsepius, the maintainer of the OpenSceneGraph packages in
> Fedora is being extremely difficult in helping to fix this dependency
> problem.
> 
> I have a new osgcal ready to build and soon a new osgal package, but I
> need a pkgconfig file from the OpenSceneGraph maintainer Ralf
> Corsepius.
>
> However Ralf is being extremely difficult and refuses to add a
> pkgconfig file to OpenSceneGraph-devel package which I have already
> provided for him.
If you had a look into the OpenSceneGraph package's sources (which you
apparently didn't) you'd know that Fedora's OSG packages carries around
a different implementation of pkgconfig files commented out. If I'd
activate this, it would not help you much.

You are wanting me to adopt Debian's proprietary and isolated solution.

> His reason is that upstream did not provide one, so therefore it is
> wrong for him to do so. 
Wrong, I do not add them, because upstream decided to abandon them.

> Not only has Ralf upgraded to OSG 2.0 without any warnings whatsoever,
This is not correct.
1. I explicitly asked and warned in advance, but you did not answer.
2. I explicitly asked if somebody wanted backward compatible packages,
but you did not answer.


> he also has not provided an OSG-1 compat package to help with these
> dependency problems. 
I had offered to implement them, but you did not answer. Now, we am
going the upstream path.

>  Now after we have spent hours of work getting
> our packages to work with OSG2, all we need is a pkgconfig file, and
> Ralf is refusing to cooperate.
Not true.

Your packages require the pkgconfig files, because these package's
configure scripts carry bugs which prevent them from working without
them.

They expect OSG-1.2 compatibility and/or a Debian patched OSG-2.

> What am I suppposed to do in this situation? 
Fix your packages, such they work without pkgconfig.

I had offered you to help you, but you did not answer.

Ralf



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]